**Full name**: projects.locations.tensorboards.experiments.create

Creates a TensorboardExperiment.

### Endpoint

post `https://{service-endpoint}/v1/{parent}/experiments`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Tensorboard to create the TensorboardExperiment in. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}`

### Query parameters

`tensorboardExperimentId` `string` Required. The id to use for the Tensorboard experiment, which becomes the final component of the Tensorboard experiment's resource name.

This value should be 1-128 characters, and valid characters are `/[a-z][0-9]-/`.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments#TensorboardExperiment`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments#TensorboardExperiment`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.tensorboardExperiments.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).